
%define name libqb
%define version	0.11.1
%define release	1
%define major 0
%define develname %mklibname -d qb
%define libname	%mklibname qb %major


Name:           %name
Version:        %version
Release:        %mkrel %release
Summary:        Hight performance client server library
Group:          System/Libraries
License:        LGPLv2+
URL:            https://github.com/asalkeld/libqb/wiki
Source0:        https://fedorahosted.org/releases/q/u/quarterback/libqb-%{version}.tar.gz

BuildRequires:  autoconf automake libtool doxygen procps check-devel

%description
libqb is a library with the primary purpose of providing high performance
client server reusable features. It provides high performance logging,
tracing, ipc, and poll.
The initial features of libqb comes from the features of corosync that
were thought to useful to other projects.

%package -n %{libname}
Group:          System/Libraries
Summary:        Hight performance client server library
%description -n %{libname}
libqb is a library with the primary purpose of providing high performance
client server reusable features. It provides high performance logging,
tracing, ipc, and poll.
The initial features of libqb comes from the features of corosync that
were thought to useful to other projects.


%package -n %{develname}
Group:		Development/C
Summary:	Development files for libqb
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}

%prep
%setup -q -n libqb-%{version}

%build
./autogen.sh
%configure --disable-static 
%make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
rm -rf $RPM_BUILD_ROOT/%{_docdir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libqb.so.*

%files -n %{develname}
%defattr(-,root,root,-)
%doc README.markdown ChangeLog
%{_includedir}/qb/
%{_libdir}/libqb.so
%{_libdir}/pkgconfig/libqb.pc
%{_mandir}/man3/qb*3*



%changelog

* Tue Apr 10 2012 boklm <boklm> 0.11.1-1.mga2
+ Revision: 230128
- fix release tag
- fix package names
- update description
- version 0.11.1
- imported package libqb

